# CuePointEvent Class Reference

Inherits from | NSObject
Declared in | CuePointEvent.h

## Overview

CuePointEvent stores all the information about cue points received from the server (ads, track information etc.). For more details, see STWCue_Metadata_Dictionary.pdf

## Cue Point Properties

### `timestamp`

Timestamp The timestamp in which the cuepoint event should be executed.

`@property (readonly, nonatomic) NSTimeInterval timestamp`

#### Declared In

`CuePointEvent.h`

### `data`

Contains all cue point data, which can be accessed by the constants declare in CuePointEvent.h.

`@property (readonly, strong) NSDictionary *data`

#### Declared In

`CuePointEvent.h`

### `type`

The type of the cue point. Refer to STWCue_Metadata_Dictionary.pdf for available types. The constants for each available type is defined in CuePointEvent.h.

`@property (readonly, strong) NSString *type`

#### Declared In

`CuePointEvent.h`

### `executionCanceled`

Tells whether the execution of the cue point was canceled.

`@property (readonly, assign) BOOL executionCanceled`

#### Declared In

`CuePointEvent.h`

## Creating a CuePointEvent

### `– initEventWithAMFObjectData:andTimestamp:`

Initializes a CuePoitEvent object. This is the designated initializer.

`- (instancetype)initEventWithAMFObjectData:(NSDictionary *)inAMFData andTimestamp:(NSTimeInterval)inTimestamp`

#### Parameters

`inAMFData` | Dictionary containing data in AMF format.
`inTimestamp` | The timestamp in which the cuepoint event should be executed.

#### Return Value

The newly-initialized CuePointEvent object

#### Declared In

`CuePointEvent.h`

### `– initWithData:andTimestamp:`

Initializes a CuePoitEvent object.

`- (instancetype)initWithData:(NSDictionary *)data andTimestamp:(NSTimeInterval)timestamp`

#### Parameters

`data` | Dictionary containing data in AMF format.
`timestamp` | The timestamp in which the cuepoint event should be executed.

#### Return Value

The newly-initialized CuePointEvent object

#### Declared In

`CuePointEvent.h`